server:
  port: 7011
  servlet:
    context-path: /


spring:
  main:
    allow-bean-definition-overriding: true #当遇到同样名字的时候，是否允许覆盖注册
  #redis集群
  redis:
    host: 124.70.18.168
    #host: 192.168.11.250
    port: 6379
    timeout: 100000
    #    集群环境打开下面注释，单机不需要打开
    #    cluster:
    #      #集群信息
    #      nodes: 10.83.68.151:6379,10.83.68.152:6379,10.83.68.153:6379,10.83.68.154:6379,10.83.68.155:6379,10.83.68.156:6379,10.83.68.157:6379,10.83.68.158:6379,10.83.68.159:6379
    #      #默认值是5 一般当此值设置过大时，容易报：Too many Cluster redirections
    #      maxRedirects: 3
    password: gdnxfd123
    application:
      name: test
    jedis:
      pool:
        max-active: 8
        min-idle: 0
        max-idle: 8
        max-wait: -1
    database: 0
  autoconfigure:
    exclude: org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration,org.springframework.boot.autoconfigure.jdbc.DataSourceTransactionManagerAutoConfiguration
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: org.postgresql.Driver
    #    url: jdbc:postgresql://192.168.11.248:5432/IMS_NEM_SD?rewriteBatchedStatements=true
    #    username: postgres
    #    password: postgres
    url: jdbc:postgresql://124.70.75.91:5432/jn_test?rewriteBatchedStatements=true
    username: postgres
    password: gd123
    oracle-schema=:
    #    type: com.alibaba.druid.pool.DruidDataSource
    #    url: jdbc:mysql://127.0.0.1:3306/test?characterEncoding=utf8&serverTimezone=UTC
    #    username: root
    #    password: root
    #    driver-class-name: com.mysql.jdbc.Driver
    druid:
      max-active: 20
      initial-size: 1
      min-idle: 3
      max-wait: 60000
      time-between-eviction-runs-millis: 60000
      min-evictable-idle-time-millis: 300000
      test-while-idle: true
      test-on-borrow: false
      test-on-return: false
  servlet:
    multipart:
      # 开启 multipart 上传功能
      enabled: true
      # 文件写入磁盘的阈值
      file-size-threshold: 2KB
      # 最大文件大小
      max-file-size: 200MB
      # 最大请求大小
      max-request-size: 215MB

mybatis-plus:
  configuration:
    map-underscore-to-camel-case: true
    auto-mapping-behavior: full
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
  mapper-locations: classpath*:mapper/**/*Mapper.xml
  global-config:
    # 逻辑删除配置
    db-config:
      id-type: auto
      # 删除前
      logic-not-delete-value: 1
      # 删除后
      logic-delete-value: 0
logging:
  level:
    root: info
    com.example: debug
#db url
db:
  #url: http://127.0.0.1:8011/ts
  #url: http://192.168.11.250:8011/ts
  url: http://124.70.75.91:8011/ts
#参与计算的场站
#runWindpowerstation: SD_GDDL_RZLX_FDC_STA,SD_GDDL_QDJN_FDC_STA,SD_GDDL_WHWD_FDC_STA,SD_GDDL_WHXQ_FDC_STA,SD_GDDL_RZWL_FDC_STA,SD_GDDL_WFZC_FDC_STA,SD_GDDL_DZXJ_FDC_STA,SD_GDDL_XTTA_FDC_STA,SD_GDDL_BH1_FDC_STA,SD_GDDL_BH2_FDC_STA,SD_GDDL_CG_FDC_STA,SD_GDDL_FJ_FDC_STA,SD_GDDL_YS_FDC_STA,SD_GDDL_FXFC_FDC_STA,SD_GDDL_JNSS_FDC_STA,SD_GDDL_WFBH_FDC_STA,SD_GDDL_PLHS_FDC_STA,SD_GDDL_JNCQ_FDC_STA,SD_GDDL_LXLN_FDC_STA,SD_GDDL_LQJS_FDC_STA,SD_GDDL_ZYXD_FDC_STA,SD_GDDL_ZYFS_FDC_STA
#runWindpowerstation: SD_GDDL_RZLX_FDC_STA,SD_GDDL_RZWL_FDC_STA
runWindpowerstation: HNX_SXNY_FRS_FDC_STA,HNX_SXNY_FL_FDC_STA,HNX_SXNY_HJL_FDC_STA,HNX_LYDL_TEC_FDC_STA,HNX_LYDL_XMS_FDC_STA,HNX_GDDL_XL_FDC_STA,HNX_SXNY_BT_GDC_STA,HNX_LYDL_JM_FDC_STA,HNX_LYDL_XNX_FDC_STA,HNX_GDDL_FYD_FDC_STA
#计算状态用ai或者di
clauStatus:
  ai: GJY03_GC,YLZ01_GC,PTZ02_GC   #配置期次
  di: GJY01_GC,GJY02_GC,DJY01_GC,DJY02_GC,YF01_GC,YF02_GC,HSM01_GC,PTZ01_GC,ZK01_GC,NJL01_GC,YTY01_GC,PDL01_GC
#判断数据终端
second: 1800
#判断降出力
AI110: 17.4    #叶轮转速给定
AI178: 17.4    #转矩给定
#AI443:容量

#功率曲线拟合
curvefitting:
  #维度
  dimension: 20
  #尺度
  scale: 0.01
initialcode: INITIAL
##调用区间间隔时长，需要与XXLJOB调度时长结合，保证查询区间时长大于调度时长，单位分钟
frequency:
  #停机
  shutdown: 6
  #限电
  powerrationing: 6
  #切入切出
  cutinandout: 6











